db_backend_handle Struct Reference

`#include <db_backend.h>`

## Data Fields

void * | data
db_backend_handle_initialize_t | initialize_function
db_backend_handle_shutdown_t | shutdown_function
db_backend_handle_connect_t | connect_function
db_backend_handle_disconnect_t | disconnect_function
db_backend_handle_create_t | create_function
db_backend_handle_read_t | read_function
db_backend_handle_update_t | update_function
db_backend_handle_delete_t | delete_function
db_backend_handle_count_t | count_function
db_backend_handle_free_t | free_function
db_backend_handle_transaction_begin_t | transaction_begin_function
db_backend_handle_transaction_commit_t | transaction_commit_function
db_backend_handle_transaction_rollback_t | transaction_rollback_function

## Detailed Description

A database backend handle that contains all function pointers for a backend and the backend specific data.

Definition at line 169 of file db_backend.h.

## Field Documentation

## connect_function

db_backend_handle_connect_t db_backend_handle::connect_function

Definition at line 173 of file db_backend.h.

## count_function

db_backend_handle_count_t db_backend_handle::count_function

Definition at line 179 of file db_backend.h.

## create_function

db_backend_handle_create_t db_backend_handle::create_function

Definition at line 175 of file db_backend.h.

## data

void* db_backend_handle::data

Definition at line 170 of file db_backend.h.

## delete_function

db_backend_handle_delete_t db_backend_handle::delete_function

Definition at line 178 of file db_backend.h.

## disconnect_function

db_backend_handle_disconnect_t db_backend_handle::disconnect_function

Definition at line 174 of file db_backend.h.

## free_function

db_backend_handle_free_t db_backend_handle::free_function

Definition at line 180 of file db_backend.h.

## initialize_function

db_backend_handle_initialize_t db_backend_handle::initialize_function

Definition at line 171 of file db_backend.h.

## read_function

db_backend_handle_read_t db_backend_handle::read_function

Definition at line 176 of file db_backend.h.

## shutdown_function

db_backend_handle_shutdown_t db_backend_handle::shutdown_function

Definition at line 172 of file db_backend.h.

## transaction_begin_function

db_backend_handle_transaction_begin_t db_backend_handle::transaction_begin_function

Definition at line 181 of file db_backend.h.

## transaction_commit_function

db_backend_handle_transaction_commit_t db_backend_handle::transaction_commit_function

Definition at line 182 of file db_backend.h.

## transaction_rollback_function

db_backend_handle_transaction_rollback_t db_backend_handle::transaction_rollback_function

Definition at line 183 of file db_backend.h.

## update_function

db_backend_handle_update_t db_backend_handle::update_function

Definition at line 177 of file db_backend.h.

The documentation for this struct was generated from the following file:

- src/db/db_backend.h